tigase.kernel.core

## Class RegistrarKernel

- java.lang.Object
- - tigase.kernel.core.Kernel
  - - tigase.kernel.core.RegistrarKernel

-     public class RegistrarKernel
      extends Kernel

- - ### Field Summary

    - ### Fields inherited from class tigase.kernel.core.Kernel

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistrarKernel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initBean(BeanConfig beanConfig, Set<BeanConfig> createdBeansConfig, int deep)`
    `void` | `setRegistrar(Registrar registrar)`

    - ### Methods inherited from class tigase.kernel.core.Kernel

      `getDependencyManager, getInstance, getInstance, getInstance, getInstance, getName, getNamesOf, getParent, initAll, isBeanClassRegistered, ln, registerBean, registerBean, setName, startSubKernels, unregister`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistrarKernel

          public RegistrarKernel()

  - ### Method Detail

    - #### initBean

          protected void initBean(BeanConfig beanConfig,
                                  Set<BeanConfig> createdBeansConfig,
                                  int deep)
                           throws IllegalAccessException,
                                  IllegalArgumentException,
                                  InvocationTargetException,
                                  InstantiationException

      Overrides:
        `initBean` in class `Kernel`
      Throws:
        `IllegalAccessException`
        `IllegalArgumentException`
        `InvocationTargetException`
        `InstantiationException`

    - #### setRegistrar

          public void setRegistrar(Registrar registrar)

Copyright © 2017 "Tigase, Inc.". All rights reserved.